From d924570ad53bf626aa88d44fb266a086a6a0e791 Mon Sep 17 00:00:00 2001
From: Lloyd Hilaiel <lloyd@hilaiel.com>
Date: Tue, 22 Nov 2011 09:44:41 -0700
Subject: [PATCH] find uglifycss using : because node_modules/.bin is prepended
 to the path we don't need to express paths - this allows you to invoke
 scripts/compress.sh from any directory

---
 scripts/compress.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/scripts/compress.sh b/scripts/compress.sh
index 0b4aeae84..260d07393 100755
--- a/scripts/compress.sh
+++ b/scripts/compress.sh
@@ -4,7 +4,13 @@ cd $(dirname "$0")/..
 
 UGLIFY=`which uglifyjs 2> /dev/null`
 if [ ! -x "$UGLIFY" ]; then
-    echo "uglifyjs not found in your path.  can't create production resources.  disaster."
+    echo "uglifyjs not found in your path.  Have you npm installed lately?"
+    exit 1
+fi
+
+UGLIFYCSS=`which uglifycss 2> /dev/null`
+if [ ! -x "$UGLIFY" ]; then
+    echo "uglifycss not found in your path.  Have you npm installed lately?"
     exit 1
 fi
 
-- 
GitLab